Subject: Special investment report on this exploding stock

From: "Wesley Mckinley" <[email-masked]>
Date: Thu, 22 Jul 2004 20:03:12 +0100

Life Energy and Technology Holdings, Inc,

(OTCBB: LETH)

Contract Announcements and Huge Newsletter Coverage for LETH

On Monday, July 26, LETH will be profiled by some major newsletters.

There will be huge volume and a strong price increase for several days.

These are the same newsletters that profiled AUML last week.

They brought AUML from $ .20 to $1.11 in 4 days. We know for certain

that the same groups are going to profile LETH starting on Monday.

We are very proud that we can share this information with you so

that you can make a profit out of it. It is highly advisable to

take a position in LETH as soon as possible, today before the market

closes or tomorrow.

LETH has 26 operating environmental systems in place worldwide that

convert assorted categories of waste into clean, "green electricity

" The Company is strongly positioned with $36 Million in assets and

$23 Million in cash, not including a sales backlog exceeding $100 Million

for their Biosphere Process System. LETH is experiencing a breakout year

and has contracted to receive $250 Million in financing marked for

additional global expansion.

The stock is unjustly trading at its 52-week low and should begin to

rocket skyward immediately. We think the stock could easily reach $2

in less than a month.

Good luck and watch LETH fly next week!